Package org.h2.value

# Class CaseInsensitiveConcurrentMap<V>

java.lang.Object
java.util.AbstractMap<String,V>
java.util.concurrent.ConcurrentHashMap<String,V>
org.h2.value.CaseInsensitiveConcurrentMap<V>

Type Parameters:
  `V` - the value type

All Implemented Interfaces:
  `Serializable`, `ConcurrentMap<String,V>`, `Map<String,V>`

public class CaseInsensitiveConcurrentMap<V> extends ConcurrentHashMap<String,V>
A concurrent hash map with case-insensitive string keys.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

`ConcurrentHashMap.KeySetView<K,V>`

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`CaseInsensitiveConcurrentMap()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(Object key)`
`V`
`get(Object key)`
`V`
`put(String key, V value)`
`V`
`putIfAbsent(String key, V value)`
`V`
`remove(Object key)`

### Methods inherited from class java.util.concurrent.ConcurrentHashMap

`clear, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, getOrDefault, hashCode, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, putAll, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

### Methods inherited from class java.util.AbstractMap

`clone`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CaseInsensitiveConcurrentMap

public CaseInsensitiveConcurrentMap()

## Method Details

### get

public V get(Object key)

Specified by:
  `get` in interface `Map<String,V>`
Overrides:
  `get` in class `ConcurrentHashMap<String,V>`

### put

public V put(String key, V value)

Specified by:
  `put` in interface `Map<String,V>`
Overrides:
  `put` in class `ConcurrentHashMap<String,V>`

### putIfAbsent

public V putIfAbsent(String key, V value)

Specified by:
  `putIfAbsent` in interface `ConcurrentMap<String,V>`
Specified by:
  `putIfAbsent` in interface `Map<String,V>`
Overrides:
  `putIfAbsent` in class `ConcurrentHashMap<String,V>`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<String,V>`
Overrides:
  `containsKey` in class `ConcurrentHashMap<String,V>`

### remove

public V remove(Object key)

Specified by:
  `remove` in interface `Map<String,V>`
Overrides:
  `remove` in class `ConcurrentHashMap<String,V>`